XMLDiff\Base::merge
XMLDiff\DOM::diff
XMLDiff
PHP Manual

# The XMLDiff\DOM class

(PECL xmldiff >= 0.8.0)

## Introduction

## Class synopsis

XMLDiff\DOM extends XMLDiff\Base {
/* Methods */
public DOMDocument diff ( DOMDocument `$from` , DOMDocument `$to` )
public DOMDocument merge ( DOMDocument `$src` , DOMDocument `$diff` )
/* Inherited methods */
public XMLDiff\Base::__construct ( string `$nsname` )
abstract public mixed XMLDiff\Base::diff ( mixed `$from` , mixed `$to` )
abstract public mixed XMLDiff\Base::merge ( mixed `$src` , mixed `$diff` )
}

## Table of Contents

- XMLDiff\DOM::diff — Diff two DOMDocument objects
- XMLDiff\DOM::merge — Produce merged DOMDocument

XMLDiff\Base::merge
XMLDiff\DOM::diff
XMLDiff
PHP Manual